% program to fit geometric maturity structure

clear all
close all
x = load('hall_2014.txt');
B = x';
N = size(B,1);
mat = (1:N)';

b = [ones(10,1) mat(1:10)]\log(B(1:10));
fitlogB = [ones(N,1) mat]*b;
fitB = exp(fitlogB);

figure
plot(mat,(B)/1E6,'-v','linewidth',2);
hold on;
plot(mat,fitB/1E6,'-','linewidth',2);
xlabel('Maturity');
ylabel('Trillion Dollars'); 


figure
plot(mat,log(B),'-v','linewidth',2);
hold on;
plot(mat,log(fitB),'-','linewidth',2);
xlabel('Maturity');
ylabel('Trillion Dollars'); 